### Constructor

# Gio Cancellable new

#### Declaration [src]

    GCancellable*
    g_cancellable_new (
      void
    )

#### Description [src]

Creates a new `GCancellable` object.

Applications that want to start one or more operations that should be cancellable should create a `GCancellable` and pass it to the operations.

One `GCancellable` can be used in multiple consecutive operations or in multiple concurrent operations.

#### Return value

Type: `GCancellable`

A `GCancellable`.

The caller of the function takes ownership of the data, and is responsible for freeing it.